Bug 4810 - Warning on probable memory leaks (sam.ldb)
Warning on probable memory leaks (sam.ldb)
Product: Samba 4.0
Classification: Unclassified
Component: Other
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
Depends on:
  Show dependency treegraph
Reported: 2007-07-23 14:22 UTC by Matthias Dieter Wallnöfer
Modified: 2007-08-19 19:26 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-23 14:22:33 UTC
Since a few months I notice when testing SAMBA the memory leak warning caused by the sam.ldb. Is this a serious error or bug? If not, there should be a way to suppress the annoying message.
Comment 1 Andrew Bartlett 2007-08-05 22:02:46 UTC
I've fixed the cases that show up in 'make test' and suppressed the warning that shows during provision in -r 24246

Comment 2 Matthias Dieter Wallnöfer 2007-08-17 08:19:14 UTC
Sorry, but it seems not to be completely fixed. I retried two times the provisioning and got:
WARNING: probable memory leak in ldb /usr/local/samba/private/sam.ldb - 20173 blocks (startup 5820) 404112 bytes
Comment 3 Matthias Dieter Wallnöfer 2007-08-17 11:51:19 UTC
Also, in normal SAMBA execution for example:

WARNING: probable memory leak in ldb /usr/local/samba/private/sam.ldb - 28036 blocks (startup 901) 499537 bytes
WARNING: probable memory leak in ldb /usr/local/samba/private/sam.ldb - 3182 blocks (startup 901) 55412 bytes
Comment 4 Andrew Bartlett 2007-08-19 19:26:01 UTC
This was actually a new bug, caused by my work on objectCategory.

I've fixed this (I hope) in -r 24567.